org.eclipse.eef.common.ui.api

## Class EEFWidgetFactory

- java.lang.Object
- - org.eclipse.ui.forms.widgets.FormToolkit
  - - org.eclipse.eef.common.ui.api.EEFWidgetFactory

Direct Known Subclasses:
  EEFLegacyTabbedPropertySheetWidgetFactory

    public class EEFWidgetFactory
    extends org.eclipse.ui.forms.widgets.FormToolkit

A FormToolkit customized for use by tabbed property sheet page and others.

Since:
  1.6.0

### Field Summary

### Fields inherited from class org.eclipse.ui.forms.widgets.FormToolkit

`KEY_DRAW_BORDER, TEXT_BORDER, TREE_BORDER`

### Constructor Summary

Constructors
Constructor and Description
`EEFWidgetFactory()` The constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`org.eclipse.swt.widgets.Button` `createButton(org.eclipse.swt.widgets.Composite parent, java.lang.String text, int style)`
`org.eclipse.swt.custom.CCombo` `createCCombo(org.eclipse.swt.widgets.Composite parent)` Creates a combo box as a part of the form.
`org.eclipse.swt.custom.CCombo` `createCCombo(org.eclipse.swt.widgets.Composite parent, int comboStyle)` Creates a combo box as a part of the form.
`org.eclipse.swt.custom.CLabel` `createCLabel(org.eclipse.swt.widgets.Composite parent, java.lang.String text)` Creates a label as a part of the form.
`org.eclipse.swt.custom.CLabel` `createCLabel(org.eclipse.swt.widgets.Composite parent, java.lang.String text, int style)` Creates a label as a part of the form.
`org.eclipse.swt.widgets.Composite` `createComposite(org.eclipse.swt.widgets.Composite parent)`
`org.eclipse.swt.widgets.Composite` `createComposite(org.eclipse.swt.widgets.Composite parent, int style)`
`org.eclipse.swt.widgets.Composite` `createFlatFormComposite(org.eclipse.swt.widgets.Composite parent)` Creates a flat form composite as a part of the form.
`org.eclipse.swt.widgets.Group` `createGroup(org.eclipse.swt.widgets.Composite parent, java.lang.String text)` Creates a group as a part of the form.
`org.eclipse.ui.forms.widgets.Hyperlink` `createHyperlink(org.eclipse.swt.widgets.Composite parent, java.lang.String text, int style)`
`org.eclipse.swt.widgets.Label` `createLabel(org.eclipse.swt.widgets.Composite parent, java.lang.String text, int style)`
`org.eclipse.swt.widgets.List` `createList(org.eclipse.swt.widgets.Composite parent, int style)` Creates the list as a part of the form.
`org.eclipse.swt.widgets.Composite` `createPlainComposite(org.eclipse.swt.widgets.Composite parent, int style)` Creates a plain composite as a part of the form.
`org.eclipse.swt.custom.ScrolledComposite` `createScrolledComposite(org.eclipse.swt.widgets.Composite parent, int style)` Creates a scrolled composite as a part of the form.
`org.eclipse.ui.forms.widgets.Section` `createSection(org.eclipse.swt.widgets.Composite parent, int sectionStyle)`
`org.eclipse.swt.custom.StyledText` `createStyledText(org.eclipse.swt.widgets.Composite parent, int style)` Creates a styled text as a part of the form.
`org.eclipse.swt.custom.CTabFolder` `createTabFolder(org.eclipse.swt.widgets.Composite parent, int style)` Creates the tab folder as a part of the form.
`org.eclipse.swt.custom.CTabItem` `createTabItem(org.eclipse.swt.custom.CTabFolder tabFolder, int style)` Creates the tab item as a part of the tab folder.
`org.eclipse.swt.widgets.Table` `createTable(org.eclipse.swt.widgets.Composite parent, int style)`
`void` `dispose()`

### Methods inherited from class org.eclipse.ui.forms.widgets.FormToolkit

`adapt, adapt, createCompositeSeparator, createExpandableComposite, createForm, createFormText, createImageHyperlink, createLabel, createPageBook, createScrolledForm, createSeparator, createText, createText, createTree, decorateFormHeading, ensureVisible, getBorderMargin, getBorderStyle, getColors, getHyperlinkGroup, getOrientation, paintBordersFor, refreshHyperlinkColors, setBackground, setBorderStyle, setControlVisible, setOrientation`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### EEFWidgetFactory

    public EEFWidgetFactory()

The constructor.

### Method Detail

#### createTabFolder

    public org.eclipse.swt.custom.CTabFolder createTabFolder(org.eclipse.swt.widgets.Composite parent,
                                                             int style)

Creates the tab folder as a part of the form.

Parameters:
  `parent` - the composite parent.
  `style` - the tab folder style.
Returns:
  the tab folder

#### createTabItem

    public org.eclipse.swt.custom.CTabItem createTabItem(org.eclipse.swt.custom.CTabFolder tabFolder,
                                                         int style)

Creates the tab item as a part of the tab folder.

Parameters:
  `tabFolder` - the parent.
  `style` - the tab folder style.
Returns:
  the tab item.

#### createList

    public org.eclipse.swt.widgets.List createList(org.eclipse.swt.widgets.Composite parent,
                                                   int style)

Creates the list as a part of the form.

Parameters:
  `parent` - the composite parent.
  `style` - the list style.
Returns:
  the list.

#### createComposite

    public org.eclipse.swt.widgets.Composite createComposite(org.eclipse.swt.widgets.Composite parent,
                                                             int style)

Overrides:
  `createComposite` in class `org.eclipse.ui.forms.widgets.FormToolkit`
See Also:
  `FormToolkit.createComposite(org.eclipse.swt.widgets.Composite, int)`

#### createComposite

    public org.eclipse.swt.widgets.Composite createComposite(org.eclipse.swt.widgets.Composite parent)

Overrides:
  `createComposite` in class `org.eclipse.ui.forms.widgets.FormToolkit`
See Also:
  `FormToolkit.createComposite(org.eclipse.swt.widgets.Composite)`

#### createPlainComposite

    public org.eclipse.swt.widgets.Composite createPlainComposite(org.eclipse.swt.widgets.Composite parent,
                                                                  int style)

Creates a plain composite as a part of the form.

Parameters:
  `parent` - the composite parent.
  `style` - the composite style.
Returns:
  the composite.

#### createScrolledComposite

    public org.eclipse.swt.custom.ScrolledComposite createScrolledComposite(org.eclipse.swt.widgets.Composite parent,
                                                                            int style)

Creates a scrolled composite as a part of the form.

Parameters:
  `parent` - the composite parent.
  `style` - the composite style.
Returns:
  the composite.

#### createCCombo

    public org.eclipse.swt.custom.CCombo createCCombo(org.eclipse.swt.widgets.Composite parent,
                                                      int comboStyle)

Creates a combo box as a part of the form.

Parameters:
  `parent` - the combo box parent.
  `comboStyle` - the combo box style.
Returns:
  the combo box.

#### createCCombo

    public org.eclipse.swt.custom.CCombo createCCombo(org.eclipse.swt.widgets.Composite parent)

Creates a combo box as a part of the form.

Parameters:
  `parent` - the combo box parent.
Returns:
  the combo box.

#### createGroup

    public org.eclipse.swt.widgets.Group createGroup(org.eclipse.swt.widgets.Composite parent,
                                                     java.lang.String text)

Creates a group as a part of the form.

Parameters:
  `parent` - the group parent.
  `text` - the group title.
Returns:
  the composite.

#### createFlatFormComposite

    public org.eclipse.swt.widgets.Composite createFlatFormComposite(org.eclipse.swt.widgets.Composite parent)

Creates a flat form composite as a part of the form.

Parameters:
  `parent` - the composite parent.
Returns:
  the composite.

#### createCLabel

    public org.eclipse.swt.custom.CLabel createCLabel(org.eclipse.swt.widgets.Composite parent,
                                                      java.lang.String text)

Creates a label as a part of the form.

Parameters:
  `parent` - the label parent.
  `text` - the label text.
Returns:
  the label.

#### createCLabel

    public org.eclipse.swt.custom.CLabel createCLabel(org.eclipse.swt.widgets.Composite parent,
                                                      java.lang.String text,
                                                      int style)

Creates a label as a part of the form.

Parameters:
  `parent` - the label parent.
  `text` - the label text.
  `style` - the label style.
Returns:
  the label.

#### createStyledText

    public org.eclipse.swt.custom.StyledText createStyledText(org.eclipse.swt.widgets.Composite parent,
                                                              int style)

Creates a styled text as a part of the form.

Parameters:
  `parent` - the parent.
  `style` - the style.
Returns:
  the styled text.

#### createButton

    public org.eclipse.swt.widgets.Button createButton(org.eclipse.swt.widgets.Composite parent,
                                                       java.lang.String text,
                                                       int style)

Overrides:
  `createButton` in class `org.eclipse.ui.forms.widgets.FormToolkit`
See Also:
  `FormToolkit.createButton(org.eclipse.swt.widgets.Composite, java.lang.String, int)`

#### createSection

    public org.eclipse.ui.forms.widgets.Section createSection(org.eclipse.swt.widgets.Composite parent,
                                                              int sectionStyle)

Overrides:
  `createSection` in class `org.eclipse.ui.forms.widgets.FormToolkit`
See Also:
  `FormToolkit.createSection(org.eclipse.swt.widgets.Composite, int)`

#### createLabel

    public org.eclipse.swt.widgets.Label createLabel(org.eclipse.swt.widgets.Composite parent,
                                                     java.lang.String text,
                                                     int style)

Overrides:
  `createLabel` in class `org.eclipse.ui.forms.widgets.FormToolkit`
See Also:
  `FormToolkit.createLabel(org.eclipse.swt.widgets.Composite, java.lang.String, int)`

#### createHyperlink

    public org.eclipse.ui.forms.widgets.Hyperlink createHyperlink(org.eclipse.swt.widgets.Composite parent,
                                                                  java.lang.String text,
                                                                  int style)

Overrides:
  `createHyperlink` in class `org.eclipse.ui.forms.widgets.FormToolkit`
See Also:
  `FormToolkit.createHyperlink(org.eclipse.swt.widgets.Composite, java.lang.String, int)`

#### createTable

    public org.eclipse.swt.widgets.Table createTable(org.eclipse.swt.widgets.Composite parent,
                                                     int style)

Overrides:
  `createTable` in class `org.eclipse.ui.forms.widgets.FormToolkit`
See Also:
  `FormToolkit.createTable(org.eclipse.swt.widgets.Composite, int)`

#### dispose

    public void dispose()

Overrides:
  `dispose` in class `org.eclipse.ui.forms.widgets.FormToolkit`
See Also:
  `FormToolkit.dispose()`